Skip to main content
PATCH
/
api
/
v1
/
orgs
/
{orgId}
/
monitors
/
{monitorId}
Update a monitor
curl --request PATCH \
  --url https://monitor.aevr.space/api/v1/orgs/{orgId}/monitors/{monitorId} \
  --header 'Content-Type: application/json' \
  --cookie auth-token= \
  --data '
{
  "name": "<string>",
  "url": "<string>",
  "checkType": "endpoint",
  "method": "GET",
  "expectedStatus": 200,
  "headers": {},
  "body": "<string>",
  "bodyContains": "<string>",
  "bodyNotContains": "<string>",
  "responseFormat": "<string>",
  "responseAssertionType": "<string>",
  "responseAssertionPath": "<string>",
  "responseAssertionValue": "<string>",
  "intervalMinutes": 5,
  "timeoutMs": 10000,
  "degradedThresholdMs": 3000,
  "isActive": true,
  "isPublic": false,
  "notifyChannelIds": [
    "<string>"
  ]
}
'

Documentation Index

Fetch the complete documentation index at: https://monitor-f3599674.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

auth-token
string
cookie
required

Signed session cookie returned by the platform auth flows.

Path Parameters

orgId
string
required
monitorId
string
required

Body

application/json
name
string
required
url
string<uri>
required
checkType
string
default:endpoint
method
string
default:GET
expectedStatus
number
default:200
headers
body
string
bodyContains
string
bodyNotContains
string
responseFormat
string
responseAssertionType
string
responseAssertionPath
string
responseAssertionValue
string
intervalMinutes
number
default:5
timeoutMs
number
default:10000
degradedThresholdMs
number
default:3000
isActive
boolean
default:true
isPublic
boolean
default:false
notifyChannelIds
string[]

Response

200

Monitor updated